<?php
/**
 * DanCarousel Extension for Joomla 2.5/3.x By giudansky@gmail.com
 * 
 * @copyright	Copyright (C) 2014 giudansky.com. All rights reserved.
 * @license		GNU General Public License version 2
 * 
 * @Website 	http://www.conchiglieinmaremma.com
 * @Support 	http://www.giudansky.com
 *
 */
// no direct access
defined('_JEXEC') or die;
class modDancarouselHelper {	
	//Set dancarousel options
	public function setdancarouselOptions($params)
    {
		$dancarouselOptions = array(
						"slidertype"=> $params->get("slidertype"),
						
						"images"=> $params->get("images"),
						"folder"=> $params->get("folder"),
						"moduleheight"=> $params->get("moduleheight"),
						"loadjquery"=> $params->get("loadjquery"),
						// imageintro options
						"item_cat"=> $params->get("item_cat"),
						"newsflash_style"=> $params->get("newsflash_style"),
						"order"=> $params->get("order"),
						
						//bx slider vars
						"transition"=> $params->get("transition"),
						"auto"=> $params->get("auto"),
						"pause"=> $params->get("pause"),
						"slider_control"=> $params->get("slider_control"),
						"slidewidth"=> $params->get("slidewidth"),
						"slider_pagination"=> $params->get("slider_pagination"),
						"style_pagination"=> $params->get("style_pagination"),
						"order"=> $params->get("order"),
						"slideshow"=> $params->get("slideshow"),
						"minSlides"=> $params->get("minSlides"),
						"maxSlides"=> $params->get("maxSlides"),
						"moveSlides"=> $params->get("moveSlides"),
						"speed"=> $params->get("speed"),
						"ticker"=> $params->get("ticker"),		
						"slidemargin"=> $params->get("slidemargin"),					
						"loop"=> $params->get("loop"),
						"adaptiveHeight"=> $params->get("adaptiveHeight"),
						// other options
						"url"=> $params->get("url"),
						"urllink"=> $params->get("urllink"),
						"headline"=> $params->get("headline"),
						"headline_css"=> $params->get("headline_css"), 
						"headline_bkg"=> $params->get("headline_bkg"),
						"youtube"=> $params->get("youtube"),
						"stripsrt"=> $params->get("stripsrt"),
						"vertparallax"=> $params->get("vertparallax"),
						"backscroll"=> $params->get("backscroll")

						

																
					   );
		return $dancarouselOptions; 
	}
	//Image Content
	//Get Folder
	static function getFolder($params)
	{
		$folder	= $params->get('folder');
		$LiveSite	= JURI::base();
		// if folder includes livesite info, remove
		if (JString::strpos($folder, $LiveSite) === 0) {
			$folder = str_replace($LiveSite, '', $folder);
		}
		// if folder includes absolute path, remove
		if (JString::strpos($folder, JPATH_SITE) === 0) {
			$folder= str_replace(JPATH_BASE, '', $folder);
		}
		$folder = str_replace('\\', '/', $folder);
		$folder = str_replace('/', '/', $folder);
		return $folder;
	}
	
	//Get Images
	static function getImages($params, $folder)
	{
		$files	= array();
		$images	= array();
		$dir = JPATH_BASE . '/' . $folder;
		// check if directory exists
		if (is_dir($dir))
		{
			if ($handle = opendir($dir)) {
				while (false !== ($file = readdir($handle))) {
					if ($file != '.' && $file != '..' && $file != 'CVS' && $file != 'index.html') {
						$files[] = $file;
					}
				}
			}
			closedir($handle);
			$i = 0;
			foreach ($files as $img)
			{
				if (!is_dir($dir . '/' . $img))
				{
					if (preg_match('/jpg/', $img)||preg_match('/png/', $img)) {
						$images[$i] = new stdClass;
						$images[$i]->name	= $img;
						$images[$i]->folder	= $folder;
						$i++;
					}
				}
			}
		}
		//return $dir;
		return $images;
	}
}
require_once JPATH_SITE.'/components/com_content/helpers/route.php';

JModelLegacy::addIncludePath(JPATH_SITE.'/components/com_content/models', 'ContentModel');

abstract class modDanImageintroHelper {
	public static function getList(&$params)	{
		$app = JFactory::getApplication();
		$db		= JFactory::getDbo();
		// Get an instance of the generic articles model
		$model = JModelLegacy::getInstance('Articles', 'ContentModel', array('ignore_request' => true));
		// Set application parameters in model
		$appParams = JFactory::getApplication()->getParams();
		$model->setState('params', $appParams);
		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', (int) $params->get('count', 5));
		$model->setState('filter.published', 1);
		$model->setState('list.select', 'a.fulltext, a.id, a.title, a.alias, a.introtext, a.state, a.catid, a.created, a.created_by, a.created_by_alias,' .
			' a.modified, a.modified_by, a.publish_up, a.publish_down, a.images, a.urls, a.attribs, a.metadata, a.metakey, a.metadesc, a.access,' .
			' a.hits, a.featured' );
		// Access filter
		$access = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);
		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));
		// Filter by language
		$model->setState('filter.language', $app->getLanguageFilter());
		//  Featured switch
		switch ($params->get('show_featured'))
		{
			case '1':
				$model->setState('filter.featured', 'only');
				break;
			case '0':
				$model->setState('filter.featured', 'hide');
				break;
			default:
				$model->setState('filter.featured', 'show');
				break;
		}			
		// Set ordering
		$ordering = $params->get('ordering', 'a.publish_up');
		$model->setState('list.ordering', $ordering);
		if (trim($ordering) == 'rand()') {
			$model->setState('list.direction', '');
		} else {
			$model->setState('list.direction', 'DESC');
		}
		
		// Check if we should trigger additional plugin events
		$triggerEvents = $params->get('triggerevents', 1);

		// Retrieve Content
		$items = $model->getItems();

		foreach ($items as &$item)
		{
			$item->readmore = strlen(trim($item->fulltext));
			$item->slug     = $item->id . ':' . $item->alias;

			/** @deprecated Catslug is deprecated, use catid instead. 4.0 **/
			$item->catslug  = $item->catid . ':' . $item->category_alias;

			if ($access || in_array($item->access, $authorised))
			{
				// We know that user has the privilege to view the article
				$item->link     = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid, $item->language));
				$item->linkText = JText::_('MOD_ARTICLES_NEWS_READMORE');
			}
			else
			{
				$item->link = new JUri(JRoute::_('index.php?option=com_users&view=login', false));
				$item->link->setVar('return', base64_encode(ContentHelperRoute::getArticleRoute($item->slug, $item->catid, $item->language)));
				$item->linkText = JText::_('MOD_ARTICLES_NEWS_READMORE_REGISTER');
			}

			$item->introtext = JHtml::_('content.prepare', $item->introtext, '', 'mod_articles_news.content');

			if (!$params->get('image'))
			{
				$item->introtext = preg_replace('/<img[^>]*>/', '', $item->introtext);
			}

			if ($triggerEvents)
			{
				$item->text = '';
				$app->triggerEvent('onContentPrepare', array ('com_content.article', &$item, &$params, 0));

				$results                 = $app->triggerEvent('onContentAfterTitle', array('com_content.article', &$item, &$params, 0));
				$item->afterDisplayTitle = trim(implode("\n", $results));

				$results                    = $app->triggerEvent('onContentBeforeDisplay', array('com_content.article', &$item, &$params, 0));
				$item->beforeDisplayContent = trim(implode("\n", $results));

				$results                   = $app->triggerEvent('onContentAfterDisplay', array('com_content.article', &$item, &$params, 0));
				$item->afterDisplayContent = trim(implode("\n", $results));
			}
			else
			{
				$item->afterDisplayTitle    = '';
				$item->beforeDisplayContent = '';
				$item->afterDisplayContent  = '';
			}
		}
		return $items;
	}
}