<?php
/**
	* DanCarousel Extension for Joomla 2.5/3.x By giudansky@gmail.com
	* 
	* @copyright	Copyright (C) 2014 giudansky.com. All rights reserved.
	* @license		GNU General Public License version 2
	* 
	* @Website 	http://www.conchiglieinmaremma.com
	* @Support 	http://www.giudansky.com
	*
*/
// no direct access
defined('_JEXEC') or die;

echo "<ul class='slider article'>";

foreach ($listArticles as $item) {

	// recupera immagini
	$images = json_decode($item->images);
	//recupera categoria
	$catart = $params->get('category');
	$titlecat = $item->category_title;

	// find list item category
	$secid = $item->catid;
	$category = JCategories::getInstance('Content')->get($secid);

	// GET CUSTOM FIELDS

	$myFields = array();
	if ($item->jcfields) :
	foreach($item->jcfields as $field) {
		$myFields[$field->name] = $field->value;
	}
	endif;

	// --------------------------------- youtube 
	if ($dancarouselOptions['youtube']== 1) { 
		// FIND YOUTUBE VIDEO INSIDE ARTICLE
		$contentban  = $item->introtext.$item->fulltext;
		
		$regf = "#(youtube.com\/embed\/)(.*?)(\")#"; 
		// \s ignora spazi
		preg_match($regf, $contentban, $matches);
		$youtube_videoid = $matches[2];
		
		//DEBUG
		//echo "L:" . $url_lenght . "<BR/>";
		//echo "id:" . $youtube_videoid . "<BR/>";
	} 
		// --------------------------------- youtube END

	// --------------------------------- image url define


	if (isset($images->image_intro) and !empty($images->image_intro)) {
		$imgUrl = JURI::root().htmlspecialchars($images->image_intro);
	} else if ($category->getParams()->get('image')) {
		$imgUrl = JURI::root().$category->getParams()->get('image');

	} if ($dancarouselOptions['youtube'] == 1 & $youtube_videoid != "")	{
		$imgUrl =  "http://img.youtube.com/vi/".$youtube_videoid."/mqdefault.jpg";
	}
	 
	 //echo $url_begin;
	// --------------------------------- image url define END

	// article url
	$articleUrl = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid));	
		
	?>
	<?php // ----------------------------- image & text style ?>
	<?php if($dancarouselOptions['newsflash_style']=="1") { ?>
		<li class="img_text" onClick="location.href='<?php echo $articleUrl;?>'">
				<div class="image">
					<a href="<?php echo $articleUrl;?>" title="<?php echo $item->title;?>">
						<a title="<?php echo $item->title; ?>" href="<?php echo $articleUrl ?>">
							<span data-type="background" data-speed="10" class="backg<?php if($dancarouselOptions['backscroll']=="false") { ?> fixed<?php } ?>" style="height:<?php echo $moduleheight; ?>; background-image:url('<?php echo $imgUrl;?>');">
						</a>
						<!-- seo img tag -->
						<a href="<?php echo $dancarouselOptions['urllink']; ?>" title="<?php echo $item->title;?>">
							<img src="<?php echo $imgUrl;?>" class="seoimg" alt="<?php echo $item->title;?>"/>
						</a>
					</a>
				</div>
				<div class="text">
					<!--  //RECOVER CUSTOM FIELD NAME -->
					<?php if (isset($myFields['data']) and !empty($myFields['data'])) : ?>
						<p class="data"><span class="voce">Data:</span> <?php echo $myFields['data']; ?></p>	
					<?php endif; ?>	
					<?php if (isset($myFields['prezzo']) and !empty($myFields['prezzo'])) : ?>
						<div class="prezzocon">
							<h3><span class="voce">Prezzo:</span>
							<?php if (isset($myFields['prezzoprec']) and !empty($myFields['prezzoprec'])) : ?>
								<span class="prezzoprec"><?php echo $myFields['prezzoprec']; ?> &euro;</span>	
							<?php endif; ?>	
							<?php if (isset($myFields['prezzo']) and !empty($myFields['prezzo'])) : ?>
								<span class="prezzo"><?php echo $myFields['prezzo']; ?> &euro;</span>	
							<?php endif; ?>	
							</h3>
						</div>
					<?php endif; ?>
					
					<?php if ($params->get('item_title')) : ?>
					<<?php echo $params->get('item_heading'); ?> >
						<a href="<?php echo $articleUrl;?>" title="<?php echo $item->title;?>">
							<?php echo $item->title;?>
						</a>
					</<?php echo $params->get('item_heading'); ?>>
					<?php endif; ?>
					<?php if($dancarouselOptions['item_cat']=="1") : ?>
						<p><b><?php echo JText::sprintf('COM_CONTENT_CATEGORY', $titlecat); ?></b></p>
					<?php endif; ?>
					
					<?php if (strlen($item->fulltext) != 0 ) {
					 echo $item->introtext;
					} else {
					echo JHtml::_('string.truncate', $item->introtext, $dancarouselOptions['stripsrt']);
					}
					 ?>
				</div>
		</li>
	<?php }	?>

	<?php // ----------------------------- banner style ?>
	<?php if($dancarouselOptions['newsflash_style']=="2") { ?>
		<li class="banner" onClick="location.href='<?php echo $articleUrl;?>'">
			<?php if ($params->get('item_title') or $dancarouselOptions['item_cat']=="1") : ?>
			<div class="bar">
					<?php if ($params->get('item_title')) : ?>
						<<?php echo $params->get('item_heading'); ?> class="heading">
							<a href="<?php echo $articleUrl; ?>" title="<?php echo $item->title;?>">
								<?php echo $item->title;?>
							</a> 
						</<?php echo $params->get('item_heading'); ?>>
					<?php endif; ?>
					<?php if($dancarouselOptions['item_cat']=="1") : ?>
						<b><?php echo JText::sprintf('COM_CONTENT_CATEGORY', $titlecat); ?></b>
					<?php endif; ?>
					
					<?php  //RECOVER CUSTOM FIELD NAME ?>
					<?php if (isset($myFields['data']) and !empty($myFields['data'])) : ?>
						<p class="data"><span class="voce">Data:</span> <?php echo $myFields['data']; ?></p>	
					<?php endif; ?>	
					<?php if (isset($myFields['prezzo']) and !empty($myFields['prezzo'])) : ?>
						<p class="prezzo"><span class="voce">Prezzo:</span>  <?php echo $myFields['prezzo']; ?> &euro;</p>	
					<?php endif; ?>		
			</div>
			<?php endif; ?>
			<a title="<?php echo $item->title; ?>" href="<?php echo $articleUrl ?>">
				<span data-type="background" data-speed="10" class="backg<?php if($dancarouselOptions['backscroll']=="false") { ?> fixed<?php } ?>" style="padding-top:<?php echo $moduleheight; ?>; background-image:url('<?php echo $imgUrl;?>');">
			</a>
			<!-- seo img tag -->
			<a href="<?php echo $dancarouselOptions['urllink']; ?>" title="<?php echo $item->title;?>">
				<img src="<?php echo $imgUrl;?>" class="seoimg" alt="<?php echo $item->title;?>"/>
			</a>
			<div class="mask"></div>
			<div class="clearfix"></div>
		</li>
	<?php 
	}	
}

echo "</ul>";
?>


