<?php
/**
	* DanCarousel Extension for Joomla 2.5/3.x By giudansky@gmail.com
	* 
	* @copyright	Copyright (C) 2014 giudansky.com. All rights reserved.
	* @license		GNU General Public License version 2
	* 
	* @Website 	http://www.conchiglieinmaremma.com
	* @Support 	http://www.giudansky.com
	*
*/
//JHtml::_('jquery.framework');

// no direct access
defined('_JEXEC') or die;

// SUPER IMPORTANT: THIS LOADS JQUERY BEFORE ANYTHING ELSE
JHtml::_('jquery.framework');

$doc =JFactory::getDocument(); 

// Add Stylesheets
$doc->addStyleSheet('modules/mod_dan-carousel/css/carousel.css');

// Add Javascript
if($dancarouselOptions['loadjquery']=="true" ) {
	$doc->addScript('https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js');
}	

/** IMPORTANT NOTE: file modified by giudansky to fix conflict between bxslider and sir
 * replaced the following string: 	"if (this.complete) { $(this).trigger('load'); }"
 * width this string:				"if (this.complete) { $(this).load(); }"
*/
$doc->addScript('modules/mod_dan-carousel/js/jquery.bxslider.min.js');
$doc->addScript('modules/mod_dan-carousel/js/mod_dan-carousel.js');


//create random number for div id
 $randomdancar = rand(1, 999999);

// set height
	if ($dancarouselOptions['moduleheight'] == '') {
		$moduleheight = 'auto'; 
		} else {
		$moduleheight = $dancarouselOptions['moduleheight']; 
	}
?>
<!--dancarouselOptions script-->
<script type="text/javascript">

	
	jQuery(document).ready(function(){
	
		width = jQuery(window).width();
		bxwidth = jQuery('.<?php echo $randomdancar; ?>').width();
			
		if(width < 800) {
			maxSlides = 1;
			minSlides = 1;
			slideWidth = 800;
		} else if(width < 1200) {
			minSlides = <?php echo $dancarouselOptions['minSlides']; ?>;
			maxSlides = <?php echo $dancarouselOptions['maxSlides']; ?>;
			//arrotonda all'intero più vicino la divisione per due
			slideWidth = bxwidth / (Math.round(maxSlides/2));
		}  else if(width > 1200) {
			minSlides = <?php echo $dancarouselOptions['minSlides']; ?>;
			maxSlides = <?php echo $dancarouselOptions['maxSlides']; ?>;
			slideWidth = bxwidth / maxSlides;
		} 
		
		jQuery('.<?php echo (string)$randomdancar ?> .slider').bxSlider({
			auto: <?php echo $dancarouselOptions['auto']; ?>, 
			stopAutoOnClick: true,
			controls: <?php echo $dancarouselOptions['slider_control'] ?>,
			autoControls:false,
			mode: <?php if($dancarouselOptions['ticker']=="true" or $dancarouselOptions['slidewidth'] != 0) { ?>'horizontal'<?php }else { ?>'<?php echo $dancarouselOptions['transition'] ?>'<?php } ?>,
			pager: <?php echo $dancarouselOptions['slider_pagination'] ?>,
			pagerType: 'full',
			randomStart: <?php echo $dancarouselOptions['order'] ?>,
			<?php if($dancarouselOptions['style_pagination']=="apple") { ?>
				pagerSelector: '.apple-pager',
			<?php }	?>
			<?php if($dancarouselOptions['style_pagination']=="numbers") { ?>
				pagerSelector: '.numbers-pager',
			<?php }	?>
			touchEnabled: true,
			oneToOneTouch: true,
			preventDefaultSwipeY: false,
			preventDefaultSwipeX: false,
			slideWidth: slideWidth,
			slideMargin: <?php echo $dancarouselOptions['slidemargin']; ?>,
			minSlides: minSlides,
			maxSlides: maxSlides,
			
			preloadImages: 'all',
			useCSS: true,
			<?php if($dancarouselOptions['ticker']=="true" ) { ?>			
				ticker:  <?php echo $dancarouselOptions['ticker']; ?>,
				tickerHover:true,
			<?php }	?>
			
			moveSlides:<?php echo $dancarouselOptions['moveSlides']; ?>,			
			infiniteLoop: <?php echo $dancarouselOptions['loop']; ?>, 
			hideControlOnEnd: true,
			adaptiveHeight: <?php echo $dancarouselOptions['adaptiveHeight']; ?>,
			
			responsive: true,
			speed: <?php echo $dancarouselOptions['speed']; ?>,				
			pause: <?php echo $dancarouselOptions['pause'] ?>		
		});		
		
	});
	
	// call to parallax jquery effect (mod-dan-carousel.js)
	<?php if ($dancarouselOptions['vertparallax'] == 'true') { ?>
		jQuery(document).ready(function () {
			vertParallax(jQuery(".<?php echo (string)$randomdancar ?> .backg"));  

		});
	<?php } ?>
</script>
<div class="dancarousel <?php echo (string)$randomdancar ?> <?php echo $moduleclass_sfx ?>">  

	<?php if ($dancarouselOptions['slidertype']=="images folder" ) {
		
		require JModuleHelper::getLayoutPath('mod_dan-carousel', '_folder');
		
	} else if ($dancarouselOptions['slidertype']=="articles" ) {
		
		require JModuleHelper::getLayoutPath('mod_dan-carousel', '_article');

	} else if ($dancarouselOptions['slidertype']=="images" ) {
		
			require JModuleHelper::getLayoutPath('mod_dan-carousel', '_image');	
	} 
	?>

	<?php if($dancarouselOptions['ticker']=="false" ) { ?>
		<?php if($dancarouselOptions['style_pagination']=="apple" && $dancarouselOptions['slider_pagination']=="true") { ?>
			<div class="apple-pager"></div>
		<?php }	?>
		<?php if($dancarouselOptions['style_pagination']=="numbers" && $dancarouselOptions['slider_pagination']=="true") { ?>
			<div class="numbers-pager"></div>
		<?php }	?>
	<?php } ?>
	

	
	<?php if($dancarouselOptions['headline']) { ?>
		<section class="contentbox <?php  if ($dancarouselOptions['headline_bkg']=="1") { echo "white"; } elseif ($dancarouselOptions['headline_bkg']=="2") { echo "black";} ?>" style="<?php echo $dancarouselOptions['headline_css']; ?>" >
			<?php if($dancarouselOptions['url']=="true") { ?><a href="<?php echo $dancarouselOptions['urllink']; ?>"><?php }	?>
				<?php echo $dancarouselOptions['headline']; ?>
			<?php if($dancarouselOptions['url']=="true") { ?></a><?php } ?>

		</section> 
	<?php }	?>
	
	<?php if ($dancarouselOptions['jqueryresize'] == 'true') { ?>
		<div class="full"></div> 
	<?php }	?>
</div>